package sikd.sikd5.sikd5bean.ws.simpatik;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import sikd.sikd5.sikd5bean.fault.SIKDServiceException;

@XmlRootElement
@XmlType(name = "kontakPemdaWS", propOrder = {
    "kodeSatker",
    "kodePemda",
    "namaPemda",
    "tahunAnggaran",
    "bulan",
    "statusData",
    "userName",
    "password",
    "namaAplikasi",
    "pengembangAplikasi",
    "versiSinergi",
    "nama1",
    "jabatan1",
    "hp1",
    "email1",
    "nama2",
    "jabatan2",
    "hp2",
    "email2",
 })
public class KontakPemda_WS extends ValidasiData implements Serializable {

    private String kodeSatker;
    private String kodePemda;
    private String namaPemda;
    private Short tahunAnggaran;
    private Short bulan;
    private Short statusData;
    private String userName;
    private String password;
    private String namaAplikasi;
    private String pengembangAplikasi;
    private String versiSinergi;
    private String nama1;
    private String jabatan1;
    private String hp1;
    private String email1;
    private String nama2;
    private String jabatan2;
    private String hp2;
    private String email2;
   
    public KontakPemda_WS() {
        super();
    }

    public KontakPemda_WS(String kodeSatker, String kodePemda, String namaPemda, Short tahunAnggaran, Short bulan, Short statusData,
            String userName, String password, String namaAplikasi, String pengembangAplikasi, String versiSinergi, String nama1, String jabatan1,
            String hp1, String email1, String nama2, String jabatan2, String hp2, String email2) throws SIKDServiceException {
        super();
        if (tahunAnggaran == (tahunCalendari + 1) && bulan < 12) {
            throw new SIKDServiceException("Kontak Pemda Tahun anggaran " + tahunAnggaran + " bisa dikirim setelah bulan Desember");
        }
        if (tahunAnggaran > (tahunCalendari + 1)) {
            throw new SIKDServiceException("Kontak Pemda Tahun anggaran " + tahunAnggaran + " belum bisa dikirim");
        }

        if (kodeSatker == null || kodeSatker.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi data Kode Satker");
        }
        if (kodePemda == null || kodePemda.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi data Kode Pemda");
        }
        if (namaPemda == null || namaPemda.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi data Nama Pemda");
        }
        if (statusData < 0 || statusData > 4) {
            throw new SIKDServiceException("silahkan isi status data dengan angka 0, 1, 2, 3 atau 4  \n Untuk keterangan lebih lanjut silahkan lihat developer guide");
        }
        if (userName == null || userName.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi data User Name Service");
        }
        if (password == null || password.trim().equals("")) {
            throw new SIKDServiceException("silahkan isi data Password Service, untuk mendapatkan password Service silahkan lihat developer guide");
        }
        if (namaAplikasi == null || namaAplikasi.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi data Nama Aplikasi");
        }
        if (pengembangAplikasi == null || pengembangAplikasi.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi data Pengembang Aplikasi");
        }
        if (versiSinergi == null || versiSinergi.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi Versi Sinergi");
        }

        this.kodeSatker = kodeSatker;
        this.kodePemda = kodePemda;
        this.namaPemda = namaPemda;
        this.tahunAnggaran = tahunAnggaran;
        this.bulan = bulan;
        this.statusData = statusData;
        this.userName = userName;
        this.password = password;
        this.namaAplikasi = namaAplikasi;
        this.pengembangAplikasi = pengembangAplikasi;
        this.versiSinergi = versiSinergi;
        this.nama1 = nama1;
        this.jabatan1 = jabatan1;
        this.hp1 = hp1;
        this.email1 = email1;
        this.nama2 = nama2;
        this.jabatan2 = jabatan2;
        this.hp2 = hp2;
        this.email2 = email2;
    }

   

    public String getKodeSatker() throws SIKDServiceException {
        if (kodeSatker == null || kodeSatker.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi data Kode Satker");
        }
        return kodeSatker;
    }

    public void setKodeSatker(String kodeSatker) {
        this.kodeSatker = kodeSatker;
    }

    public String getKodePemda() throws SIKDServiceException {
        if (kodePemda == null || kodePemda.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi data Kode Pemda");
        }
        return kodePemda;
    }

    public void setKodePemda(String kodePemda) {
        this.kodePemda = kodePemda;
    }

    public String getNamaPemda() {
        return namaPemda;
    }

    public void setNamaPemda(String namaPemda) {
        this.namaPemda = namaPemda;
    }

    public Short getTahunAnggaran() throws SIKDServiceException {
        if (tahunAnggaran == (tahunCalendari + 1) && bulan < 12) {
            throw new SIKDServiceException("Kontak Pemda Tahun anggaran " + tahunAnggaran + " bisa dikirim setelah bulan Desember");
        }
        if (tahunAnggaran > (tahunCalendari + 1)) {
            throw new SIKDServiceException("Kontak Pemda Tahun anggaran " + tahunAnggaran + " belum bisa dikirim");
        }
        return tahunAnggaran;
    }

    public void setTahunAnggaran(Short tahunAnggaran) throws SIKDServiceException {
        if (tahunAnggaran == (tahunCalendari + 1) && bulan < 12) {
            throw new SIKDServiceException("Kontak Pemda Tahun anggaran " + tahunAnggaran + " bisa dikirim setelah bulan Desember");
        }
        if (tahunAnggaran > (tahunCalendari + 1)) {
            throw new SIKDServiceException("Kontak Pemda Tahun anggaran " + tahunAnggaran + " belum bisa dikirim");
        }
        this.tahunAnggaran = tahunAnggaran;
    }

    public Short getBulan() {
        return bulan;
    }

    public void setBulan(Short bulan) {
        this.bulan = bulan;
    }

  
    public Short getStatusData() {
        return statusData;
    }

    public void setStatusData(Short statusData) {
        this.statusData = statusData;
    }

    public String getUserName() throws SIKDServiceException {
        if (userName == null || userName.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi data User Name Service");
        }
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() throws SIKDServiceException {
        if (password == null || password.trim().equals("")) {
            throw new SIKDServiceException("silahkan isi data Password Service, untuk mendapatkan password Service silahkan lihat developer guide");
        }
        return password;
    }

    public void setPassword(String password) throws SIKDServiceException {
        if (password == null || password.trim().equals("")) {
            throw new SIKDServiceException("silahkan isi data Password Service, untuk mendapatkan password Service silahkan lihat developer guide");
        }
        this.password = password;
    }

    public String getNamaAplikasi() {
        return namaAplikasi;
    }

    public void setNamaAplikasi(String namaAplikasi) {
        this.namaAplikasi = namaAplikasi;
    }

    public String getPengembangAplikasi() {
        return pengembangAplikasi;
    }

    public void setPengembangAplikasi(String pengembangAplikasi) {
        this.pengembangAplikasi = pengembangAplikasi;
    }

   
    public String getVersiSinergi() throws SIKDServiceException {
        if (versiSinergi == null || versiSinergi.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi Versi Sinergi");
        }
        return versiSinergi;
    }

    public void setVersiSinergi(String versiSinergi) throws SIKDServiceException {
        if (versiSinergi == null || versiSinergi.trim().equals("")) {
            throw new SIKDServiceException("Silahkan isi Versi Sinergi");
        }
        this.versiSinergi = versiSinergi;
    }

    public String getNama1() {
        return nama1;
    }

    public void setNama1(String nama1) {
        this.nama1 = nama1;
    }

    public String getJabatan1() {
        return jabatan1;
    }

    public void setJabatan1(String jabatan1) {
        this.jabatan1 = jabatan1;
    }

    public String getHp1() {
        return hp1;
    }

    public void setHp1(String hp1) {
        this.hp1 = hp1;
    }

    public String getEmail1() {
        return email1;
    }

    public void setEmail1(String email1) {
        this.email1 = email1;
    }

    public String getNama2() {
        return nama2;
    }

    public void setNama2(String nama2) {
        this.nama2 = nama2;
    }

    public String getJabatan2() {
        return jabatan2;
    }

    public void setJabatan2(String jabatan2) {
        this.jabatan2 = jabatan2;
    }

    public String getHp2() {
        return hp2;
    }

    public void setHp2(String hp2) {
        this.hp2 = hp2;
    }

    public String getEmail2() {
        return email2;
    }

    public void setEmail2(String email2) {
        this.email2 = email2;
    }
  
}
